{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
    <div class="panel-heading">
        <div class="text-right">
            <a href="{{ url_for('.create_category') }}" class="btn btn-sm btn-primary">{{ _('Add Category') }}</a>
        </div>
    </div>
    <div class="panel-body">
        <div class="row">
            <div class="col-lg-12 table-responsive">
                <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ _('Name') }}</th>
                            <th>{{ _('Action') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for category in categories %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ category.name }}</td>
                            <td>
                                <a class="btn btn-xs btn-info"
                                    href="{{ url_for('.edit_category', slug=category.slug) }}">{{ _('Edit') }}</a>
                                <a class="btn btn-xs btn-danger" href="#{{ category.slug }}"
                                    data-toggle="modal">{{ _('Delete') }}</a>
                                {% if category.active == False %}
                                <a class="btn btn-xs btn-warning"
                                    href="{{ url_for('.activate_category', value=True, slug=category.slug) }}">{{ _('Activate') }}</a>
                                {% else %}
                                <a class="btn btn-xs btn-warning"
                                    href="{{ url_for('.activate_category', value=False, slug=category.slug) }}">{{ _('Deactivate') }}</a>
                                {% endif %}
                                <div class="modal fade" id="{{ category.slug }}" tabindex="-1" role="dialog"
                                    aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLongTitle">
                                                    {{ _('Delete confirmation') }}</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                {{_('Are you sure want to delete ')}}
                                                <strong>{{ category.name | title }}</strong> ?
                                            </div>
                                            <div class="modal-footer">
                                                <a type="button" class="btn btn-secondary"
                                                    data-dismiss="modal">{{ _('Cancel') }}</a>
                                                <a type="button" class="btn btn-primary"
                                                    href="{{ url_for('.delete_category', slug=category.slug) }}">{{ _('Delete') }}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
    /* DataTables */
    $(document).ready(function () {
        var table = $("#table_id").DataTable({
            lengthChange: false,
            buttons: ["copy", "excel", "pdf", "print"],
        });
        table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
    });
</script>
{% endblock %}
